=== packaging/debian/control ===
Source: xrootd
Maintainer: Jozsef Makai <jozsef.makai@cern.ch>
Section: net
Priority: optional
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), cmake (>=3.3.0), zlib1g-dev, libfuse-dev, python3-dev, libssl-dev, libxml2-dev, ncurses-dev, libkrb5-dev, libreadline-dev, libsystemd-dev, selinux-policy-dev, libcurl4-openssl-dev, systemd, uuid-dev, dh-python, voms-dev
Homepage: https://github.com/xrootd/xrootd
Vcs-Git: https://github.com/xrootd/xrootd.git
Vcs-Browser: https://github.com/xrootd/xrootd

#------------------------------------------------------------------------------
# XRootD libraries (compatibility)
#------------------------------------------------------------------------------
Package: xrootd-libs
Architecture: any
Section: libs
Depends: libxrdapputils1        (=${binary:Version}),
         libxrdcrypto1          (=${binary:Version}),
         libxrdcryptolite1      (=${binary:Version}),
	     libxrdutils2           (=${binary:Version}),
 		 libxrdxml2             (=${binary:Version}),
		 xrootd-plugins         (=${binary:Version})
Conflicts: xrootd-libs          (<<${binary:Version})
Description: This package contains libraries used by the xrootd servers and 
             clients.
             .
             This is a transitional dummy package which can be removed 
             afterinstallation of dependencies. 

#------------------------------------------------------------------------------
# XRootD plug-ins
#------------------------------------------------------------------------------
Package: xrootd-plugins
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Conflicts: xrootd-plugins  (<<${binary:Version})
Description: This package contains additional plugins used by both client and
             server. 

#------------------------------------------------------------------------------
# XRootD development files (compatibility)
#------------------------------------------------------------------------------
Package: xrootd-devel
Architecture: any
Section: libdevel
Depends: libxrootd-dev  (=${binary:Version})
Conflicts: xrootd-devel (<<${binary:Version})
Description: This package contains header files and development libraries for
             xrootd development.
             .
             This is a transitional dummy package which can be removed after
             installation of dependencies 

#------------------------------------------------------------------------------
# XRootD development files
#------------------------------------------------------------------------------
Package: libxrootd-dev
Architecture: any
Section: libdevel
Depends: libxrdapputils1    (=${binary:Version}),
         libxrdcrypto1      (=${binary:Version}),
         libxrdcryptolite1  (=${binary:Version}),
	     libxrdutils2       (=${binary:Version}),
 		 libxrdxml2         (=${binary:Version}),
Conflicts: xrootd-devel     (<<${binary:Version})
Description: This package contains header files and development libraries for 
             xrootd development.

#------------------------------------------------------------------------------
# XRootD client libraries (compatibility)
#------------------------------------------------------------------------------
Package: xrootd-client-libs
Architecture: any
Depends: libxrdcl2              (=${binary:Version}),
         libxrdffs2             (=${binary:Version}),
         libxrdposix2           (=${binary:Version}),
         xrootd-client-plugins  (=${binary:Version}),
         xrootd-libs            (=${binary:Version})
Conflicts: xrootd-client-libs   (<<${binary:Version})
Description: This package contains libraries used by xrootd clients.
             .
             This is a transitional dummy package which can be removed after
             installation of dependencies 

#------------------------------------------------------------------------------
# XRootD client plug-ins
#------------------------------------------------------------------------------
Package: xrootd-client-plugins
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Conflicts: xrootd-client-plugins  (<<${binary:Version})
Description: This package contains additional plugins used by the client. 

#------------------------------------------------------------------------------
# XRootD client development files (compatibility)
#------------------------------------------------------------------------------
Package: xrootd-client-devel
Architecture: any
Section: libdevel
Depends: libxrootd-client-dev (=${binary:Version})
Conflicts: xrootd-client-devel   (<<${binary:Version})
Description: This package contains header files and development libraries for 
             xrootd client development.
             .
             This is a transitional dummy package which can be removed after
             installation of dependencies 

#------------------------------------------------------------------------------
# XRootD client development files
#------------------------------------------------------------------------------
Package: libxrootd-client-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, 
         libxrootd-dev (=${binary:Version}),
         libxrdcl2     (=${binary:Version}),
         libxrdffs2    (=${binary:Version}),
         libxrdposix2  (=${binary:Version})
Conflicts: xrootd-client-devel (<<${binary:Version})
Description: This package contains header files and development libraries for 
             xrootd client development.

#------------------------------------------------------------------------------
# XRootD client (compatibility)
#------------------------------------------------------------------------------ 
Package: xrootd-client
Architecture: any
Section: net
Depends: xrootd-clients  (=${binary:Version})
Conflicts: xrootd-client (<<${binary:Version})
Description: This package contains the command line tools used to communicate 
             with xrootd servers.
             .
             This is a transitional dummy package which can be removed after
             installation of dependencies 
 
#------------------------------------------------------------------------------
# XRootD client
#------------------------------------------------------------------------------ 
Package: xrootd-clients
Architecture: any
Section: net
Depends: ${shlibs:Depends}, 
         xrootd-client-libs  (=${binary:Version})
Conflicts: xrootd-clients (<<${binary:Version})
Description: This package contains the command line tools used to communicate
             with xrootd servers.

#------------------------------------------------------------------------------
# XRootD server
#------------------------------------------------------------------------------ 
Package: xrootd-server
Architecture: any
Section: net
Depends: ${shlibs:Depends}, 
         xrootd-server-libs     (=${binary:Version})
Conflicts: xrootd-server        (<<${binary:Version})
Description: This package contains the server applications and associated 
             utilities.

#------------------------------------------------------------------------------
# XRootD private development files (compatibility)
#------------------------------------------------------------------------------ 
Package: xrootd-private-devel
Architecture: any
Section: libdevel
Depends: libxrootd-private-dev   (=${binary:Version})
Conflicts: xrootd-private-devel  (<<${binary:Version})
Description: This package contains some private xrootd headers. The use of these 
             headers is strongly discouraged. Backward compatibility between 
             versions is not guaranteed for these headers.
             .
             This is a transitional dummy package which can be removed after
             installation of dependencies 

#------------------------------------------------------------------------------
# XRootD private development files
#------------------------------------------------------------------------------
Package: libxrootd-private-dev
Architecture: any
Section: libdevel
Depends: libxrootd-server-dev  (=${binary:Version}),
Conflicts: libxrootd-private-dev (<<${binary:Version})
Description: This package contains some private XRootd headers. The use of 
             these headers is strongly discouraged. Backward compatibility 
             between versions is not guaranteed for these headers.

#------------------------------------------------------------------------------
# XRootD server libs (compatibility)
#------------------------------------------------------------------------------
Package: xrootd-server-libs
Architecture: any
Section: libs
Depends: libxrdhttputils1       (=${binary:Version}),
	     libxrdserver2          (=${binary:Version}),
	     libxrdssilib1          (=${binary:Version}),
	     libxrdssishmap1        (=${binary:Version}),
	     xrootd-client-libs     (=${binary:Version}),
	     xrootd-server-plugins  (=${binary:Version}) 
Conflicts: xrootd-server-libs   (<<${binary:Version})
Description: This package contains libraries used by xrootd servers.
             .
             This is a transitional dummy package which can be removed after
             installation of dependencies 

#------------------------------------------------------------------------------
# XRootD server development files (compatibility)
#------------------------------------------------------------------------------
Package: xrootd-server-devel
Architecture: any
Section: libdevel
Depends: libxrootd-server-dev   (=${binary:Version})
Conflicts: xrootd-server-devel  (<<${binary:Version})
Description: This package contains header files and development libraries for
             xrootd server development.
             .
             This is a transitional dummy package which can be removed after
             installation of dependencies 

#------------------------------------------------------------------------------
# XRootD server development files
#------------------------------------------------------------------------------
Package: libxrootd-server-dev
Architecture: any
Section: libdevel
Depends: libxrdhttputils1        (=${binary:Version}),
	     libxrdserver2           (=${binary:Version}),
	     libxrdssilib1           (=${binary:Version}),
	     libxrdssishmap1         (=${binary:Version}),
	     libxrootd-client-dev    (=${binary:Version})
Conflicts: libxrootd-server-dev  (<<${binary:Version})
Description: High performance, scalable fault tolerant data repositories.
 This package contains header files and development libraries for
 xrootd server development.

#------------------------------------------------------------------------------
# XRootD server development files
#------------------------------------------------------------------------------
Package: xrootd-fuse
Architecture: any
Section: net
Depends: ${shlibs:Depends}, 
         libfuse-dev,
         xrootd-client-libs  (=${binary:Version}),
Conflicts: xrootd-fuse       (<<${binary:Version})
Description: This package contains the FUSE (file system in user space) 
             xrootd mount tool.

#------------------------------------------------------------------------------
# XRootD server plug-ins
#------------------------------------------------------------------------------
Package: xrootd-server-plugins
Architecture: any
Section: net
Depends: ${shlibs:Depends}
Description: This package contains additional plug-in libraries used by an 
             XRootd server. 

#------------------------------------------------------------------------------
# XRootD libxrdapputils1 (xroottd-libs)
#------------------------------------------------------------------------------
Package: libxrdapputils1
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Conflicts: libxrdapputils1 (<<${binary:Version})
Description: Library of utilities for applications.

#------------------------------------------------------------------------------
# XRootD libxrdcl2 (xrootd-client-libs)
